/* 1.Font Define Start */

@font-face {
    font-family: 'aviny';
    src: url("../fonts/aviny/aviny-700.woff")format('woff');
    src: url("../fonts/aviny/aviny-700.eot");
    src: url("../fonts/aviny/aviny-700.ttf")format('truetype');
}

@font-face {
    font-family: 'iransans';
    src: url(../fonts/iransans/BRoya.woff)format('woff');
    src: url(../fonts/iransans/BRoya.eot);
    src: url(../fonts/iransans/BRoya.ttf)format('truetype');
}

@font-face {
    font-family: 'yekan';
    src: url(../fonts/yekan/W_yekan.woff)format('woff');
    src: url(../fonts/yekan/W_yekan.eot);
    src: url(../fonts/yekan/W_yekan.ttf)format('truetype');
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: 300;
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 03 Light.eot?v=970802");
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 03 Light.woff?v=970802") format("woff"), url("../fonts/Yekan Bakh/Yekan Bakh EN 03 Light.ttf?v=970802") format("truetype")
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 04 Regular.eot?v=970802");
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 04 Regular.woff?v=970802") format("woff"), url("../fonts/Yekan Bakh/Yekan Bakh EN 04 Regular.ttf?v=970802") format("truetype")
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: 500;
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 05 Medium.eot?v=970802");
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 05 Medium.woff?v=970802") format("woff"), url("../fonts/Yekan Bakh/Yekan Bakh EN 05 Medium.ttf?v=970802") format("truetype")
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: 600;
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 06 Bold.eot?v=970802");
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 06 Bold.woff?v=970802") format("woff"), url("../fonts/Yekan Bakh/Yekan Bakh EN 06 Bold.ttf?v=970802") format("truetype")
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: 700;
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 07 Heavy.eot?v=970802");
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 07 Heavy.woff?v=970802") format("woff"), url("../fonts/Yekan Bakh/Yekan Bakh EN 07 Heavy.ttf?v=970802") format("truetype")
}

@font-face {
    font-family: YekanBakh;
    font-style: normal;
    font-weight: 800;
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 08 Fat.eot?v=970802");
    src: url("../fonts/Yekan Bakh/Yekan Bakh EN 08 Fat.woff?v=970802") format("woff"), url("../fonts/Yekan Bakh/Yekan Bakh EN 08 Fat.ttf?v=970802") format("truetype")
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: aviny;
}

input, p {
    font-family: YekanBakh;
}

.container {
    position: relative;
    width: 100vw !important;
    background-color: #fff;
    min-height: 100vh;
    overflow: hidden;
    margin: 0 !important;
    padding: 0;
}

.forms-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.signin-signup {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 75%;
    width: 50%;
    transition: 1s 0.7s ease-in-out;
    display: grid;
    grid-template-columns: 1fr;
    z-index: 5;
}

form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0rem 5rem;
    transition: all 0.2s 0.7s;
    overflow: hidden;
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    direction: rtl;
}

form.sign-up-form {
    opacity: 0;
    z-index: 1;
}

form.sign-in-form {
    z-index: 2;
}

.title {
    font-size: 1.7rem;
    color: #0F2836;
    margin-bottom: 10px;
}

.input-field {
    max-width: 380px;
    width: 100%;
    background-color: #f0f0f0;
    margin: 10px 0;
    height: 45px;
    border-radius: 55px;
    display: grid;
    grid-template-columns: 15% 85%;
    padding: 0 0.4rem;
    position: relative;
}

.input-field i {
    text-align: center;
    line-height: 45px;
    color: #acacac;
    transition: 0.5s;
    font-size: 1.1rem;
}

.input-field input {
    background: none;
    outline: none;
    border: none;
    line-height: 1.1;
    font-weight: 600;
    font-size: 1.1rem;
    color: #333;
}

.input-field input::placeholder {
    color: #aaa;
    font-weight: 500;
}

.social-text {
    padding: 0.7rem 0;
    font-size: 0.8rem;
}

.social-media {
    display: flex;
    justify-content: center;
}

.social-icon {
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0.45rem;
    border-radius: 50%;
    border: none;
    background-color: #f2f3f7;
    text-decoration: none;
    font-size: 1.3rem;
    transition: 0.3s;
}

.social-icon:hover i {
    color: #fff !important;
}

.social-icon.twitter:hover {
    background-color: #00ACEE;
}

.social-icon.telegram:hover {
    background-color: #0088cc;
}

.social-icon.linkedin:hover {
    background-color: #0e76a8;
}

.social-icon.instagram:hover {
    background-color: #8a3ab9;
}

.btn {
    width: 100px;
    border: solid 2px #ffcc00;
    background-color: transparent;
    outline: none;
    height: 40px;
    border-radius: 12px !important;
    color: #ffcc00;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 18px;
    margin: 10px 0;
    cursor: pointer;
    transition: 0.5s;
    font-family: yekanbakh;
}

.btn:hover {
    background-color: #ffcc00;
    color: #111;
}

.panels-container {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.container:before {
    content: "";
    position: absolute;
    height: 2000px;
    width: 2000px;
    top: -10%;
    right: 48%;
    transform: translateY(-50%);
    background-image: linear-gradient(45deg, #040A0E, #040A0E 100%);
    transition: 1.8s ease-in-out;
    border-radius: 50%;
    z-index: 6;
}

.image {
    width: 100%;
    transition: transform 1.1s ease-in-out;
    transition-delay: 0.4s;
}

.panel {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-around;
    text-align: center;
    z-index: 6;
}

.left-panel {
    pointer-events: all;
    padding: 0rem 20% 2rem 12%;
}

.right-panel {
    pointer-events: none;
    padding: 0rem 12% 2rem 20%;
}

.panel .content {
    color: #fff;
    transition: transform 0.9s ease-in-out;
    transition-delay: 0.6s;
}

.panel h3 {
    font-weight: 600;
    line-height: 1;
    font-size: 1.5rem;
}

.panel p {
    font-size: 0.95rem;
    padding: 0.7rem 0;
}

.btn.transparent {
    margin: 0;
    background: none;
    border: 2px solid #fff;
    color: #fff;
    width: 130px;
    height: 41px;
    font-weight: 600;
    font-size: 0.8rem;
    font-family: aviny;
    transition: all ease-out 0.3s;
}

.btn.transparent:hover {
    background-color: #ffcc00;
    color: #111;
}

.right-panel .image, .right-panel .content {
    transform: translateX(800px);
}

/* ANIMATION */

.container.sign-up-mode:before {
    transform: translate(100%, -50%);
    right: 52%;
}

.container.sign-up-mode .left-panel .image, .container.sign-up-mode .left-panel .content {
    transform: translateX(-800px);
}

.container.sign-up-mode .signin-signup {
    left: 25%;
}

.container.sign-up-mode form.sign-up-form {
    opacity: 1;
    z-index: 2;
}

.container.sign-up-mode form.sign-in-form {
    opacity: 0;
    z-index: 1;
}

.container.sign-up-mode .right-panel .image, .container.sign-up-mode .right-panel .content {
    transform: translateX(0%);
}

.container.sign-up-mode .left-panel {
    pointer-events: none;
}

.container.sign-up-mode .right-panel {
    pointer-events: all;
}

@media (max-width: 1024px) {
    .container {
        min-height: 800px;
        height: 100vh;
    }
    .signin-signup {
        width: 100%;
        top: 95%;
        transform: translate(-50%, -100%);
        transition: 1s 0.8s ease-in-out;
    }
    .signin-signup, .container.sign-up-mode .signin-signup {
        left: 50%;
    }
    .panels-container {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 2fr 1fr;
    }
    .panel {
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
        padding: 2.5rem 8%;
        grid-column: 1 / 2;
    }
    .right-panel {
        grid-row: 3 / 4;
    }
    .left-panel {
        grid-row: 1 / 2;
    }
    .image {
        width: 200px;
        transition: transform 0.9s ease-in-out;
        transition-delay: 0.6s;
    }
    .panel .content {
        padding-right: 15%;
        transition: transform 0.9s ease-in-out;
        transition-delay: 0.8s;
    }
    .panel h3 {
        font-size: 1.2rem;
    }
    .panel p {
        font-size: 0.7rem;
        padding: 0.5rem 0;
    }
    .btn.transparent {
        width: 110px;
        height: 35px;
        font-size: 0.7rem;
        color: #fff !important;
    }
    .container:before {
        width: 1500px;
        height: 1500px;
        transform: translateX(-50%);
        left: 30%;
        bottom: 68%;
        right: initial;
        top: initial;
        transition: 2s ease-in-out;
    }
    .container.sign-up-mode:before {
        transform: translate(-50%, 100%);
        bottom: 32%;
        right: initial;
    }
    .container.sign-up-mode .left-panel .image, .container.sign-up-mode .left-panel .content {
        transform: translateY(-300px);
    }
    .container.sign-up-mode .right-panel .image, .container.sign-up-mode .right-panel .content {
        transform: translateY(0px);
    }
    .right-panel .image, .right-panel .content {
        transform: translateY(300px);
    }
    .container.sign-up-mode .signin-signup {
        top: 5%;
        transform: translate(-50%, 0);
    }
}

@media (max-width: 570px) {
    form {
        padding: 0 1.5rem;
    }
    .image {
        display: none;
    }
    .panel .content {
        padding: 0.5rem 1rem;
    }
    .container {
        padding: 1.5rem;
    }
    .container:before {
        bottom: 65%;
        left: 50%;
    }
    .container.sign-up-mode:before {
        bottom: 25%;
        left: 50%;
    }
}

.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 10;
    top: 0;
    right: 0;
    background-color: #f2f3f7;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
    box-shadow: -10px 10px 5px rgba(0, 0, 0, 0.05);
}

.sidenav a {
    padding: 8px 32px 8px 8px;
    text-decoration: none;
    font-size: 18px;
    color: #818181;
    display: block;
    transition: 0.3s;
    font-family: YekanBakh;
    text-align: right;
    display: none;
}

.sidenav a:hover {
    color: #ccc;
}

.sidenav .closebtn {
    position: absolute;
    top: 2%;
    right: 0;
    font-size: 25px;
    color: orangered;
}

@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }
    .sidenav a {
        font-size: 18px;
    }
}

.menu-button {
    position: absolute;
    top: 2vh;
    left: 2vw;
    z-index: 11;
    color: #173549;
    transition: all ease-out 0.2s;
}

.menu-button:hover {
    color: #f2f3f7;
}

.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    margin: 0;
    background-color: transparent;
    color: #111;
    text-align: right;
    padding: 10px 12px;
    z-index: 9;
    font-size: 14px;
    direction: rtl;
    font-weight: 700;
}